# Generated from groove-ey-core-3.6.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name groove-ey-core

Name: rubygem-%{gem_name}
Version: 3.6.3
Release: 1%{?dist}
Summary: Client library providing real and mock functionality for accessing Engine Yard's Core API
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(ffaker)
# BuildRequires: rubygem(aruba) >= 0.11
# BuildRequires: rubygem(aruba) < 1
# BuildRequires: rubygem(cucumber) >= 2.1
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(factis) >= 1.0
# BuildRequires: rubygem(factis) < 2
BuildArch: noarch

%description
Engine Yard Core API Ruby Client.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ey-core
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/ey-core.gemspec
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.6.3-1
- Initial package
